OpenEMM no longer works on Ubuntu (64-bit)

Use this forum to report bugs and to check for bugfixes and new releases of OpenEMM

Moderator: moderator

bk007
Posts: 19
Joined: Sat May 18, 2013 3:29 am

OpenEMM no longer works on Ubuntu (64-bit)

Post by bk007 » Thu Jan 09, 2014 3:47 am

ia32-libs are required for OpenEMM on a 64 bit machine, but Canonical has decided to end support for the transitional package of ia32-libs (as of v13.10). This significantly reduces the number of configurations OpenEMM can be used on.

What are the OpenEMM plans for compatibility?

bk007
Posts: 19
Joined: Sat May 18, 2013 3:29 am

Re: OpenEMM no longer works on Ubuntu (64-bit)

Post by bk007 » Sun Jan 12, 2014 4:22 am

CLARIFICATION:

I meant to say, what is the plan for Ubuntu compatibility

maschoff
Site Admin
Posts: 2147
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: OpenEMM no longer works on Ubuntu (64-bit)

Post by maschoff » Sun Jan 12, 2014 12:25 pm

The standard platform we use for development and production is RedHat, i.e. we will make sure that OpenEMM runs without 32 bit libraries at the latest when RedHat makes the switch.
OpenEMM Maintainer

maschoff
Site Admin
Posts: 2147
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: OpenEMM no longer works on Ubuntu (64-bit)

Post by maschoff » Mon Jan 13, 2014 4:09 pm

Alternatively, you can compile the C files for your platform yourself. Download the source tarball of OpenEMM and execute its build script as user root to create your own customized binary tarball:

Code: Select all

ant -f openemm_build.xml build
OpenEMM Maintainer

Post Reply